Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/photos

Upload Photos to a Location

This API allows you to add photos to a specific location. Photos can be of different types, including logos, cover photos, and additional images.

For more details, refer to Manage photos for your location.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
inputobjectrequired
input.locationIdstringrequiredThe ID of the location for which photos will be added
input.photosarray of objectrequired
input.photos[].photostringrequiredURL of the image
input.photos[].typestringrequiredType of photo
LOGOCOVERADDITIONAL

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/photos' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "locationId": "TG9jYXRpb246MTA4NzIxMQ==",
    "photos": [
      {
        "photo": "https://via.placeholder.com/250?text=LOGO+Placeholder",
        "type": "LOGO"
      },
      {
        "photo": "https://via.placeholder.com/800x400?text=COVER+Placeholder",
        "type": "COVER"
      },
      {
        "photo": "https://via.placeholder.com/600x400?text=ADDITIONAL+Image",
        "type": "ADDITIONAL"
      }
    ]
  }
}'

Responses

StatusDescription
200
400
x-200:Example Response (Over 30 Photos)
Example response (generated from the schema)
{
  "data": {
    "addLocationPhotos": {
      "success": true,
      "errors": null,
      "photos": [
        {
          "databaseId": 0,
          "fileSize": 0,
          "id": "string",
          "name": "string",
          "starred": null,
          "thumbnailUrl": "string",
          "type": "string",
          "url": "string",
          "publisherOverride": "string"
        }
      ],
      "request": {
        "requestId": null,
        "status": null
      },
      "clientMutationId": null
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.addLocationPhotosobjectrequired
data.addLocationPhotos.successbooleanrequired
data.addLocationPhotos.errorsnullrequired
data.addLocationPhotos.photosarray of objectrequired
data.addLocationPhotos.photos[].databaseIdintegerrequired
data.addLocationPhotos.photos[].fileSizeintegerrequired
data.addLocationPhotos.photos[].idstringrequired
data.addLocationPhotos.photos[].namestringrequired
data.addLocationPhotos.photos[].starrednullrequired
data.addLocationPhotos.photos[].thumbnailUrlstringrequired
data.addLocationPhotos.photos[].typestringrequired
data.addLocationPhotos.photos[].urlstringrequired
data.addLocationPhotos.photos[].publisherOverridestringrequired
data.addLocationPhotos.requestobjectrequired
data.addLocationPhotos.request.requestIdnullrequired
data.addLocationPhotos.request.statusnullrequired
data.addLocationPhotos.clientMutationIdnullrequired